import { Dict } from '../../types/Dict';
export declare function safePath(path: string): string;
export declare function prependPath(path: string, key: string): string;
export declare function shiftPath(path: string, key: string): string;
export declare function hasKey(storage: Storage, path: string, key: string): boolean;
export declare function keys(storage: Storage, path: string): string[];
export declare function read(storage: Storage, path: string): Dict<string>;
export declare function get(storage: Storage, path: string, name: string): string;
export declare function set(storage: Storage, path: string, name: string, value: string): void;
export declare function delete_(storage: Storage, path: string, name: string): void;
export declare function write(storage: Storage, path: string, obj: Dict<string>): void;
